package com.example.test.helloworld

import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import android.content.IntentFilter
import android.support.v7.app.AppCompatActivity
import android.os.Bundle
import android.util.Log

import kotlinx.android.synthetic.main.activity_main.*


class MainActivity : AppCompatActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        var fil = IntentFilter()
        fil.addAction("com.android.music.metachanged") // Android Music Player
        fil.addAction("com.amazon.mp3.metachanged") // Amazon MP3

        registerReceiver(musicReceiver, fil)
    }

    var musicReceiver =  object: BroadcastReceiver()
    {
        override fun onReceive(context: Context, intent: Intent) {
            val action = intent.action
            var title: String
            var artist: String
            var album: String

            if (action == "com.amazon.mp3.metachanged") {
                // for Amazon MP3
                title = intent.getStringExtra("com.amazon.mp3.track")
                artist = intent.getStringExtra("com.amazon.mp3.artist")
                album = intent.getStringExtra("com.amazon.mp3.album")
            } else {
                title = intent.getStringExtra("track")
                artist = intent.getStringExtra("artist")
                album = intent.getStringExtra("album")
            }
            Log.d("Music", "[$title][$artist][$album]")

            hello.text ="[$title][$artist][$album]" // sample

        }
    }
}





